CPANCOVER(1p)

NAME
cpancover - report coverage statistics on CPAN modules

VERSION
version 1.52

SYNOPSIS
  cpancover --help --info --version
            --collect --redo_cpancover_html --redo_html --force --dryrun
            --modules module_name
            --results_dir /path/to/dir
            --outputdir /path/to/dir
            --outputfile filename.html
            --report report_name
            --generate_html
            --compress_old_versions number_to_keep
            --local
            --local_build

DESCRIPTION

OPTIONS
The following command line options are supported:

  -h --help               - show help
  -i --info               - show documentation
  -v --version            - show version

  --collect               - collect coverage from modules       (on)
  --compress_old_versions - compress data older than n versions (3)
  --directory             - location of the modules             ($cwd)
  --dryrun                - don't execute (for some commands)   (off)
  --force                 - recollect coverage                  (off)
  --generate_html         - generate html                       (off)
  --local                 - use local (uninstalled) code        (off)
  --local_build           - build coveraage for all the modules (off)
  --modules               - modules to use                      (all in $dir)
  --outputdir             - where to store output               ($directory)
  --outputfile            - top level index                     (coverage.html)
  --redo_cpancover_html   - don't set default modules           (off)
  --redo_html             - force html generation for modules   (off)
  --report                - report to use                       (html_basic)

DETAILS

REQUIREMENTS
Collect coverage for results and create html, csv and json output.

The modules Template and Parallel::Iterator are required.

EXIT STATUS
The following exit values are returned:

0   All operations were completed successfully.

>0  An error occurred.

SEE ALSO
Devel::Cover

LICENCE
Copyright 2002-2026, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: https://pjcj.net